InvalidRedirectLocationException (HttpClient Library (Version 3.1))
Date: 2016-03-09

org.apache.commons.httpclient

## Class InvalidRedirectLocationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.apache.commons.httpclient.HttpException
        - - org.apache.commons.httpclient.ProtocolException
          - - org.apache.commons.httpclient.RedirectException
            - - org.apache.commons.httpclient.InvalidRedirectLocationException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidRedirectLocationException
      extends RedirectException

  Signals violation of HTTP specification caused by an invalid redirect location
  Since:
    3.1
  Author:
    Oleg Kalnichevski
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidRedirectLocationException(java.lang.String message, java.lang.String location)` Creates a new InvalidRedirectLocationException with the specified detail message.
    `InvalidRedirectLocationException(java.lang.String message, java.lang.String location, java.lang.Throwable cause)` Creates a new RedirectException with the specified detail message and cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLocation()`

    - ### Methods inherited from class org.apache.commons.httpclient.HttpException

      `getCause, getReason, getReasonCode, printStackTrace, printStackTrace, printStackTrace, setReason, setReasonCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InvalidRedirectLocationException

          public InvalidRedirectLocationException(java.lang.String message,
                                          java.lang.String location)

      Creates a new InvalidRedirectLocationException with the specified detail message.
      Parameters:
        `message` - the exception detail message
        `location` - redirect location

    - #### InvalidRedirectLocationException

          public InvalidRedirectLocationException(java.lang.String message,
                                          java.lang.String location,
                                          java.lang.Throwable cause)

      Creates a new RedirectException with the specified detail message and cause.
      Parameters:
        `message` - the exception detail message
        `location` - redirect location
        `cause` - the `Throwable` that caused this exception, or `null` if the cause is unavailable, unknown, or not a `Throwable`

  - ### Method Detail

    - #### getLocation

          public java.lang.String getLocation()

Copyright (c) 1999-2005 - Apache Software Foundation